Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QPrintPreviewWidget.ZoomMode

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QPrintPreviewWidget.ZoomMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QPrintPreviewWidget

    public static final class QPrintPreviewWidget.ZoomMode

extends java.lang.Enum
implements QtEnumerator

This enum is used to describe zoom mode of the preview widget.

See Also:
  Serialized Form

Field Summary
`static QPrintPreviewWidget.ZoomMode` | `CustomZoom` The zoom is set to a custom zoom value.
`static QPrintPreviewWidget.ZoomMode` | `FitInView` This mode fits the current page inside the view.
`static QPrintPreviewWidget.ZoomMode` | `FitToWidth` This mode fits the current page to the width of the view.

Method Summary
`static QPrintPreviewWidget.ZoomMode` | `resolve(int value)` Returns the QPrintPreviewWidget$ZoomMode constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QPrintPreviewWidget.ZoomMode` | `valueOf(java.lang.String name)`
`static QPrintPreviewWidget.ZoomMode[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### CustomZoom

    public static final QPrintPreviewWidget.ZoomMode CustomZoom

  The zoom is set to a custom zoom value.

### FitToWidth

    public static final QPrintPreviewWidget.ZoomMode FitToWidth

  This mode fits the current page to the width of the view.

### FitInView

    public static final QPrintPreviewWidget.ZoomMode FitInView

  This mode fits the current page inside the view.

Method Detail

### values

    public static QPrintPreviewWidget.ZoomMode[] values()

### valueOf

    public static QPrintPreviewWidget.ZoomMode valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QPrintPreviewWidget.ZoomMode resolve(int value)

  Returns the QPrintPreviewWidget$ZoomMode constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD